INCLUDES= $(all_includes)
METASOURCES = AUTO

KDE_ICON = fsview

EXTRA_DIST = main.cpp fsview.cpp fsview.h scan.cpp scan.h scantest.cpp \
	inode.h inode.cpp \
	fsview.desktop hi32-app-fsview.png

#xdg_apps_DATA = fsview.desktop

messages: rc.cpp
	LIST=`find . -name \*.h -o -name \*.cpp`; \
	if test -n "$$LIST"; then \
	 $(XGETTEXT) $$LIST -o $(podir)/fsview.pot; \
	fi

# Used both by application and KPart

noinst_LTLIBRARIES = libfsview.la
libfsview_la_SOURCES = treemap.cpp fsview.cpp scan.cpp inode.cpp

# Application

bin_PROGRAMS = fsview

fsview_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
fsview_SOURCES = main.cpp
fsview_LDADD   = libfsview.la $(LIB_TDEIO) $(LIB_TDECORE) $(LIB_QT) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor

check_PROGRAMS = scantest

scantest_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
scantest_SOURCES = scantest.cpp
scantest_LDADD   = libfsview.la $(LIB_TDEIO) $(LIB_TDECORE) $(LIB_QT) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor

# The KPart

kde_module_LTLIBRARIES = libfsviewpart.la
libfsviewpart_la_SOURCES = fsview_part.cpp
libfsviewpart_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
libfsviewpart_la_LIBADD  = libfsview.la $(LIB_TDEPARTS) $(LIB_TDEIO) -lkonq

partdesktopdir   = $(kde_servicesdir)
partdesktop_DATA = fsview_part.desktop

rcdir = $(kde_datadir)/fsview
rc_DATA = fsview_part.rc

appsdir = $(kde_appsdir)/.hidden
apps_DATA = fsview.desktop
